import { pogo, serve } from "../deps.ts";
import routes from "./routes.generated.ts"

const env = {
    port: Number(Deno.env.get("POGO_PORT")) || 3000,
}

const server = pogo.server({
    port: env.port
})

server.router.get('/public/{file*}', (r, h) => {
    return h.directory("./public/")
})


routes.forEach(route => {
    // console.log(`Adding ${route.route}`)
    server.route({ method: route.method, handler: route.handler, path: route.route })
})





console.log(`Dreamland (should be) online on Port ${env.port}`)
await server.start()

